Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.module
Class ModuleStorageStructure

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.ModuleStorageStructure

public class ModuleStorageStructure
extends Object

ModuleStorageStructure.java Stores the module (if it exists), the context, the module configuration object and the required modules for one module identifier. This class is currently exclusively used in the DefaultModuleFactoryInstance. Created: Wed May 10 17:02:26 2000

Version:
  $Id: ModuleStorageStructure.java,v 1.6 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley

Constructor Summary
`ModuleStorageStructure()`
`ModuleStorageStructure(ModuleContext context)`
`ModuleStorageStructure(ModuleContext context, Object config)`

Method Summary
`void` | `addRequiredModule(Module reqMod)`
`void` | `addRequiredModules(Module[] reqMods)`
`ModuleIdentifier` | `getConcreteIdentifier()`
`Object` | `getConfig()`
`ModuleContext` | `getContext()`
`Module` | `getModule()`
`ModuleList` | `getRequiredModules()`
`void` | `setConcreteIdentifier(ModuleIdentifier ident)`
`void` | `setConfig(Object config)`
`void` | `setContext(ModuleContext context)`
`void` | `setModule(Module module)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleStorageStructure

    public ModuleStorageStructure()

### ModuleStorageStructure

    public ModuleStorageStructure(ModuleContext context)

### ModuleStorageStructure

    public ModuleStorageStructure(ModuleContext context,
                                  Object config)

Method Detail

### setModule

    public void setModule(Module module)
                   throws ModuleException

    `ModuleException`

### getModule

    public Module getModule()

### addRequiredModules

    public void addRequiredModules(Module[] reqMods)

### addRequiredModule

    public void addRequiredModule(Module reqMod)

### getRequiredModules

    public ModuleList getRequiredModules()

### setContext

    public void setContext(ModuleContext context)

### getContext

    public ModuleContext getContext()

### setConfig

    public void setConfig(Object config)

### getConfig

    public Object getConfig()

### setConcreteIdentifier

    public void setConcreteIdentifier(ModuleIdentifier ident)

### getConcreteIdentifier

    public ModuleIdentifier getConcreteIdentifier()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD